summaryrefslogtreecommitdiffstats
path: root/perl/perl-Test-Pod
diff options
context:
space:
mode:
author Robby Workman2011-03-16 07:18:10 +0100
committer Robby Workman2011-03-20 18:32:34 +0100
commit93ba4df5022a8c4d422dd97a2a13ffa8a8946453 (patch)
treeea69c40d48150458e051a851cdf77e722c9118e2 /perl/perl-Test-Pod
parent6a511b1c665a1f7efecadaa3447af889b1dcba58 (diff)
downloadslackbuilds-93ba4df5022a8c4d422dd97a2a13ffa8a8946453.tar.gz
perl/*: Moved all of the Perl modules to here
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'perl/perl-Test-Pod')
-rw-r--r--perl/perl-Test-Pod/README1
-rw-r--r--perl/perl-Test-Pod/perl-Test-Pod.SlackBuild82
-rw-r--r--perl/perl-Test-Pod/perl-Test-Pod.info10
-rw-r--r--perl/perl-Test-Pod/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/perl/perl-Test-Pod/README b/perl/perl-Test-Pod/README
new file mode 100644
index 0000000000..c1e8821195
--- /dev/null
+++ b/perl/perl-Test-Pod/README
@@ -0,0 +1 @@
+perl-Test-Pod checks for POD errors in files.
diff --git a/perl/perl-Test-Pod/perl-Test-Pod.SlackBuild b/perl/perl-Test-Pod/perl-Test-Pod.SlackBuild
new file mode 100644
index 0000000000..793b57248e
--- /dev/null
+++ b/perl/perl-Test-Pod/perl-Test-Pod.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware Package Build Script for perl modules: Test::POD
+# Home Page http://search.cpan.org/dist/Test-Pod/
+
+# Copyright (c) 2008-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant _AT_ mnspace _DOT_ net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Test-Pod
+VERSION=1.44
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=Test-Pod
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+DOCS="Changes"
+
+rm -fr $TMP/$SRCNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $TMP/$SRCNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Build.PL prefix=/usr installdirs=vendor destdir=$PKG
+./Build
+./Build test
+./Build install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Test-Pod/perl-Test-Pod.info b/perl/perl-Test-Pod/perl-Test-Pod.info
new file mode 100644
index 0000000000..7aabca1b75
--- /dev/null
+++ b/perl/perl-Test-Pod/perl-Test-Pod.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Test-Pod"
+VERSION="1.44"
+HOMEPAGE="http://search.cpan.org/dist/Test-Pod/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/D/DW/DWHEELER/Test-Pod-1.44.tar.gz"
+MD5SUM="02380af5539521524d5df17273a57ae7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="rworkman"
diff --git a/perl/perl-Test-Pod/slack-desc b/perl/perl-Test-Pod/slack-desc
new file mode 100644
index 0000000000..8e6689d62e
--- /dev/null
+++ b/perl/perl-Test-Pod/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Test-Pod: perl-Test-Pod (Test::Pod)
+perl-Test-Pod:
+perl-Test-Pod: perl-Test-Pod - checks for POD errors in files
+perl-Test-Pod:
+perl-Test-Pod: Homepage: http://search.cpan.org/dist/Test-Pod/
+perl-Test-Pod:
+perl-Test-Pod:
+perl-Test-Pod:
+perl-Test-Pod:
+perl-Test-Pod:
+perl-Test-Pod: